Subject: Re: gitweb feature request: tarball for each commit

From: A Large Angry SCM <[email-masked]>
Date: Thu, 08 Sep 2005 10:03:09 -0400

Kay Sievers wrote:
> On Thu, Sep 08, 2005 at 10:45:45AM +0200, Sven Verdoolaege wrote:
>>On Thu, Sep 08, 2005 at 04:30:22PM +1200, Martin Langhoff wrote:
>>>Actually... should get it done. I'll see if I can sneak it in sometime soon... 
>>This has been done at least twice already.
>>See e.g., http://www.liacs.nl/~sverdool/gitweb.cgi?p=gitweb.git;a=summary
>>Check the archives for the other implementation.
> 
> Yes, this is nice for smaller projects. But I don't think, that we want
> to do such a thing on the kernel.org servers. We already have the daily
> snapshots and individual patches can be downloaded from gitweb. Anybody
> else should use git/cogito instead of letting the server packaging a huge
> tree for every requested revison, I think.

I think this is a very useful feature for for some, but not all, 
repositories. Default it to off and have a magic file (like git-daemon), 
or a config variable turn it on.